com.smartgwt.client.types

## Enum Autofit

- java.lang.Object
- - java.lang.Enum<Autofit>
  - - com.smartgwt.client.types.Autofit

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Autofit>

      public enum Autofit
      extends java.lang.Enum<Autofit>
      implements ValueEnum

  Possible values to change the behavior of how data will fill the ListGrid.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` expand horizontally and vertically to accommodate content.
    `HORIZONTAL` expand horizontally to accommodate fields.
    `VERTICAL` expand vertically to accommodate records.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Autofit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Autofit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERTICAL

          public static final Autofit VERTICAL

      expand vertically to accommodate records.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "vertical".

    - #### HORIZONTAL

          public static final Autofit HORIZONTAL

      expand horizontally to accommodate fields.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "horizontal".

    - #### BOTH

          public static final Autofit BOTH

      expand horizontally and vertically to accommodate content.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

  - ### Method Detail

    - #### values

          public static Autofit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Autofit c : Autofit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Autofit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`